# GoogleTest User's Guide

## Welcome to GoogleTest!

GoogleTest is Google's C++ testing and mocking framework. This user's guide has
the following contents:

*   [GoogleTest Primer](primer) - Teaches you how to write simple tests using
    GoogleTest. Read this first if you are new to GoogleTest.
*   [GoogleTest Advanced](advanced) - Read this when you've finished the Primer
    and want to utilize GoogleTest to its full potential.
*   [GoogleTest Samples](samples) - Describes some GoogleTest samples.
*   [GoogleTest FAQ](faq) - Have a question? Want some tips? Check here first.
*   [Mocking for Dummies](gmock_for_dummies) - Teaches you how to create mock
    objects and use them in tests.
*   [Mocking Cookbook](gmock_cook_book) - Includes tips and approaches to common
    mocking use cases.
*   [Mocking Cheat Sheet](gmock_cheat_sheet) - A handy reference for matchers,
    actions, invariants, and more.
*   [Mocking FAQ](gmock_faq) - Contains answers to some mocking-specific
    questions.
